::-moz-selection {
  background: #03C03C !important;
  color: #EFEFEF !important;
}
::selection {
  background: #03C03C !important;
  color: #EFEFEF !important;
}
*::-webkit-scrollbar {
  width: 4px !important;
  background: 0 0 !important;
  cursor: pointer !important
}
*::-webkit-scrollbar-thumb {
  background-color: #03c03c !important;
  border-radius: 4px !important;
  border-color: #03c03c !important;
  border-style: solid !important;
  border-width: 4px !important;
  background-clip: padding-box !important
}
*::-webkit-scrollbar-thumb:active {
  background-color: #03c03c !important
}
*::-webkit-scrollbar-thumb:active,body.platform-win32 ::-webkit-scrollbar-thumb:hover {
  border-width: 4px !important;
  background-color: #03c03c !important;
  cursor: pointer !important
}
body {
  background-color: #FFFFFF !important;
  background-image: none !important;
}
#home {
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.25);
  border: none;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
  border-radius: 6px;
 margin: 16px;
}
a#lnkBlogLogo {
  display: none;
}
h1.postTitle {
  background-image: none;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
  border-radius: 6px;
  font-size: 1.2em;
  font-weight: bold;
  text-align: left;
}
div#comment_nav {
  background-color: #FFFFFF;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
  border-radius: 6px;
  font-size: 1.1em;
  font-weight: bold;
  text-align: center;
}
div#comment_nav a {
  color: #000000 !important;
}
#sideBarMain>div.newsItem {
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
  border-radius: 6px;
}
#blog-calendar {
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
  border-radius: 6px;
}
#leftcontentcontainer>div {
  border-radius: 6px;
}
#sidebar_toptags>div>ul>li a {
  background-color: #FFFFFF;
  color: #000000 !important;
  border-radius: 5px;
  padding: 0 3px;
}
#sidebar_toptags>div>ul>li:hover {
  opacity: 0.7;
}
#EntryTag a {
  background-color: #FFFFFF;
  color: #000000 !important;
  border-radius: 5px;
  padding: 0 3px;
}
#author_profile_info>a>img {
  border-radius: 50%;
}
/*主页*/
#mainContent>div>div div.dayTitle {
 background: #FFFFFF;
  border-radius: 5px;
  height: 16px;
  line-height: 16px;
  font-size: 12px;
}
#mainContent>div>div div.dayTitle a {
  color: #000000;
}
#mainContent .postTitle {
  background-image: none;
}
#under_post_news,
#under_post_kb {
  display: none;
}
/*页脚*/
#footer {
  border-top: 1px solid #EFEFEF;
}
.headermaintitle {
  display: none;
}

h2 {
  margin: 24px 0 12px;
}

/* 博客列表页 */
/* 隐藏导航菜单 */
#navList {
  display: none;
}

/* 博客内容 */

.cnblogs-markdown img {
  border-radius: 6px;
}

#cnblogs_post_body h1,
#cnblogs_post_body h2,
#cnblogs_post_body h3,
#cnblogs_post_body h4,
#cnblogs_post_body h5,
#cnblogs_post_body p,
#cnblogs_post_body ul li,
#cnblogs_post_body blockquote {
  font-family: Arial, Helvetica, sans-serif;
}

#cnblogs_post_body a {
  text-decoration: underline;
  color: #03C03C;
  transition: all .25s ease-out;
}

#cnblogs_post_body ul {
  margin: 16px;
}
#cnblogs_post_body ul li {
  line-height: 2;
  list-style-type: circle;
}

#cnblogs_post_body p {
  line-height: 2;
  text-align: justify;
  text-align-last: left;
  margin: 16px auto;
  font-size: 15px;
}

#cnblogs_post_body h2  {
  margin: 32px 0 12px;
}

#cnblogs_post_body h3 {
  margin: 32px 0 12px;
  font-size: 18px !important;
}

#cnblogs_post_body h4 {
  margin: 16px auto;
  font-size: 16px !important;
}

.postBody blockquote {
  margin: 32px 0;
}

#cnblogs_post_body>pre {
  margin: 24px auto;
  border-radius: 4px;
  overflow: hidden;
  box-shadow: 0px 1px 4px rgba(100, 100, 100, .1);
  padding-left: 16px;
}

/* 代码 */
pre[class*="language-"]>code {
  box-shadow: none;
  border-color: #03c03c;
  line-height: 1.75;
}

pre.prismjs-lines-highlighted[class*='language-']:not(.line-numbers) {
  --spacing-left: none;
  --spacing-left: 0;
}

.cnblogs-markdown :not(pre,div,td)>code, .blogpost-body :not(pre,div,td)>code {
  background-color: #daedff;
  background-color: #daedff8f;
  color: #0057aa;
}

/* 引用 */
.postBody blockquote {
  background-color: #E0F8E6;
}

/* 链接 */
.postBody a:hover {
  background: #03C03C;
  color: #FFFFFF !important;
  border-radius: 2px;
}

/* 评论区 */
.feedback_area_title {
  background: #000000;
}

.feedbackManage+a[href^="#"] {
  border-radius: 50%;
  line-height: 50px;
  background: linear-gradient(to bottom right, #03c03c, #FFFC00);
  font-size: 12px;
  text-shadow: 0px 1px 1px rgba(0, 0, 0, .1);
}

/* 隐藏广告 */
#under_post_card1, #under_post_card2 {
  display: none;
}

/* 点赞区 */
#div_digg {
  position: fixed;
  bottom: 36px;
  right: 50px;
  padding: 12px;
  background: #03C03C;
  border-radius: 10px;
  box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.25);
  z-index: 1111;
  border: 2px solid #000000;
  box-sizing: border-box;
  margin: 0;
  float: none;
  float: unset;
  width: fit-content;
  width: auto;
  animation: bounceInUp 1.5s .15s;
  animation-fill-mode: both;
}

/* 头像 */

/* @media only screen and (min-width: 800px) {
  #author_profile {
    position: fixed;
    right: 0;
    bottom: 0;
    background: rgba(255, 255, 255, .5);
    backdrop-filter: blur(4px);
  }
} */

/* 博客列表页面 */
.forFlow  {
  padding-bottom: 24px;
}
.forFlow .day .dayTitle a {
  color: #03C03C !important;
}
.forFlow .day .postCon .c_b_p_desc {
  line-height: 2;
  color: #666666;
}
.forFlow .day .postCon .c_b_p_desc img {
  border-radius: 6px;
  margin-left: 16px;
  box-shadow: 0px 1px 4px rgba(100, 100, 100, .15);
}

#div_digg .diggit, #div_digg .buryit {
  border-radius: 8px;
  margin: 0;
  padding: 0;
  float: none;
  float: unset;
}

#div_digg .diggit {
  margin-bottom: 12px;
}

#div_digg .diggword {
  margin: 0;
}

#digg_tips {
position: absolute;
color: #03C03C !important;
text-align: justify;
background: rgba(255, 255, 255, .8);
width: 100%;
left: 0;
top: -40px;
}

#mainContent .postCon .desc_img {
  height: 140px !important;
  max-height: 140px !important;
  width: auto !important;
}

#post_detail, #blog-comments-placeholder {
  max-width: 1200px;
}

/* 媒体查询 */

@media only screen and (max-width: 900px) {
  #div_digg {
    bottom: 8px;
    right: 8px;
    transform: scale(.7) !important;
  }
}

/* 动画 */
@-webkit-keyframes bounceInUp {
  from,
  60%,
  75%,
  90%,
  to {
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, 3000px, 0);
    transform: translate3d(0, 3000px, 0);
  }
  60% {
    opacity: 1;
    -webkit-transform: translate3d(0, -20px, 0);
    transform: translate3d(0, -20px, 0);
  }
  75% {
    -webkit-transform: translate3d(0, 10px, 0);
    transform: translate3d(0, 10px, 0);
  }
  90% {
    -webkit-transform: translate3d(0, -5px, 0);
    transform: translate3d(0, -5px, 0);
  }
  to {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}
@keyframes bounceInUp {
  from,
  60%,
  75%,
  90%,
  to {
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, 3000px, 0);
    transform: translate3d(0, 3000px, 0);
  }
  60% {
    opacity: 1;
    -webkit-transform: translate3d(0, -20px, 0);
    transform: translate3d(0, -20px, 0);
  }
  75% {
    -webkit-transform: translate3d(0, 10px, 0);
    transform: translate3d(0, 10px, 0);
  }
  90% {
    -webkit-transform: translate3d(0, -5px, 0);
    transform: translate3d(0, -5px, 0);
  }
  to {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}
.bounceInUp {
  -webkit-animation-name: bounceInUp;
  animation-name: bounceInUp;
}